User account creation filtered due to spam.

Bug 7174 - ICE:seg fault with O2 and athlon-xp architecture
Summary: ICE:seg fault with O2 and athlon-xp architecture
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: rtl-optimization (show other bugs)
Version: unknown
: P2 critical
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-01 04:46 UTC by Sergei Patchkov
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
t_imm_elt.i.bz2 (41.45 KB, application/octet-stream)
2003-05-21 15:17 UTC, Sergei Patchkov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Patchkov 2002-07-01 04:46:03 UTC
ICE in compilation gcc(from cvs-20020630) with option "-O2 -march=athlon-xp" and
XFree86 4.2.99.1(4.2.0)
For this bug compiler not report about internal structures and simple reoprt about ICE and segmentation fault.
In gcc sources new compiler crash in compilation regex.c if CFLAGS="-O2 -march=athlon-cp"

Release:
gcc-20020630

Environment:
CPU: Athlon-XP
LIBC: glibc-2.2.4
kernel: Linux-2.4.19rc1
CFLAGS="-O2 -march=athlon-xp"
CXXFLAGS="-O2 -march=athlon=-xp"

How-To-Repeat:
gcc -O2 -march=athlon-xp -c t_imm_elt.i
Comment 1 Jan Hubicka 2002-10-03 09:40:44 UTC
State-Changed-From-To: open->closed
State-Changed-Why: No longer reproduce